Skip to main content
POST
/
v1
/
domains
/
{domain}
/
auto-configure
/
start
PHP
declare(strict_types=1);

require 'vendor/autoload.php';

use novu;
use novu\Models\Components;

$sdk = novu\Novu::builder()
    ->setSecurity(
        'YOUR_SECRET_KEY_HERE'
    )
    ->build();

$createDomainConnectApplyUrlDto = new Components\CreateDomainConnectApplyUrlDto();

$response = $sdk->domains->autoConfigure->start(
    domain: 'criminal-other.name',
    createDomainConnectApplyUrlDto: $createDomainConnectApplyUrlDto

);

if ($response->domainConnectApplyUrlResponseDto !== null) {
    // handle response
}
{
  "applyUrl": "<string>",
  "providerName": "<string>",
  "redirectUri": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

Headers

idempotency-key
string

A header for idempotency purposes

Path Parameters

domain
string
required

Body

application/json
redirectUri
string

Dashboard URL to return to after the DNS provider consent flow completes.

Response

Created

applyUrl
string
required
providerName
string
required
redirectUri
string
required